OBJS = bitmap.o cloth.o forcespr.o \
	glutmain.o odeexpeul.o odeimpeul.o \
	camera.o forcegrav.o forcevisc.o \
	main.o odeexprk4.o particlesys.o

CXXFLAGS = -Ivl-1.3.2/include -Wall -O3

VLLIB = vl-1.3.2/lib/libvl.a

cloth: $(OBJS) $(VLLIB)
	g++ -o $@ $^ -Lvl-1.3.2/lib -lvl -lGL -lGLU -lglut -L/usr/X11R6/lib -lXmu -lXext -lXi

clean: 
	rm -f *~ cloth *.o Makefile.bak
	cd vl-1.3.2; make clean

$(VLLIB):
	cd vl-1.3.2; make

# DO NOT DELETE
